<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sun Sep 04 21:07:37 CEST 2022 -->
<title>Uses of Class module.Medicament</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-09-04">
<meta name="description" content="use: package: module, class: Medicament">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Medicament.html" title="class in module">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class module.Medicament" class="title">Uses of Class<br>module.Medicament</h1>
</div>
<div class="caption"><span>Packages that use <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#module">module</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="module">
<h2>Uses of <a href="../Medicament.html" title="class in module">Medicament</a> in <a href="../package-summary.html">module</a></h2>
<div class="caption"><span>Methods in <a href="../package-summary.html">module</a> that return <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../Medicament.html" title="class in module">Medicament</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">Achat.</span><code><a href="../Achat.html#getMedicament()" class="member-name-link">getMedicament</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">module</a> that return types with arguments of type <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../Medicament.html" title="class in module">Medicament</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Liste.</span><code><a href="../Liste.html#getListeMedicament()" class="member-name-link">getListeMedicament</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">module</a> with parameters of type <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Liste.</span><code><a href="../Liste.html#ajouterMedicament(module.Medicament)" class="member-name-link">ajouterMedicament</a><wbr>(<a href="../Medicament.html" title="class in module">Medicament</a>&nbsp;pMedicament)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Achat.</span><code><a href="../Achat.html#setMedicament(module.Medicament)" class="member-name-link">setMedicament</a><wbr>(<a href="../Medicament.html" title="class in module">Medicament</a>&nbsp;medicament)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Method parameters in <a href="../package-summary.html">module</a> with type arguments of type <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Liste.</span><code><a href="../Liste.html#setListeMedicament(java.util.ArrayList)" class="member-name-link">setListeMedicament</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="../Medicament.html" title="class in module">Medicament</a>&gt;&nbsp;listeMedicament)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Constructors in <a href="../package-summary.html">module</a> with parameters of type <a href="../Medicament.html" title="class in module">Medicament</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../Achat.html#%3Cinit%3E(module.Medicament,module.Client,java.lang.String)" class="member-name-link">Achat</a><wbr>(<a href="../Medicament.html" title="class in module">Medicament</a>&nbsp;pMedicament,
 <a href="../Client.html" title="class in module">Client</a>&nbsp;pClient,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;quantite)</code></div>
<div class="col-last even-row-color">
<div class="block">Constructeur de ma classe</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
